LASTLOG(8)

NAME
lastlog - Examiner le fichier lastlog

SYNOPSIS

lastlog [options]

DESCRIPTION

Lastlog affiche le contenu du journal des dernières connexions (/var/log/lastlog). Les champs Utilisateur, Port, date de Dernière connexion sont affichés. Par défaut (aucune option de spécifiée), les entrées de laslog sont affichées triées par ordre d'apparition dans /etc/passwd.

OPTIONS

Les options disponibles pour la commande lastlog sont :

-b, --before JOURS
    Affiche les entrées du fichier lastlog plus anciennes que JOURS.

-h, --help
    Affiche un message d'aide et quitte.

-t, --time JOURS
    Affiche les entréesdu fichier lastlog plus récentes que JOURS.

-u, --user IDENTIFIANT
    N'affiche que les entrées correspondant à l'utilisateur IDENTIFIANT.

L'utilisation de l'option -t supplante celle de -u.

Dans le cas où l'utilisateur ne s'est jamais connecté, le message « **Never logged in** » (« **Jamais connecté** ») est affiché à la place des champs Port et date de Dernière connexion.

NOTE

Le fichier lastlog est une base de données qui contient les informations sur les dernières connexions de chaque utilisateur. Vous n'avez pas à faire de rotation (avec rotate) sur ce fichier. C'est un fichier creux, donc sa taille sur le disque est bien plus petite que celle affichée par by « ls -l » (qui peut indiquer un très gros fichier si vous avez des utilisateurs avec des UID élevés). Vous pouvez afficher sa taille réelle avec « ls -s ».

FICHIERS

/var/log/lastlog
    Journal des dernières connexions

AVERTISSEMENTS

S'il y a des écarts importants dans les valeurs des UID, lastlog s'exécutera plus longtemps, sans affichage à l'écran (c-à-d si mmdf=800 et que le dernier UID est 170, le programme semblera bloqué comme s'il examinait les UID 171 à 799).